import java.awt.Color;
import java.awt.Graphics;

public class DeceleratingBall extends Ball 
{
    private Ball workerBall;

    public DeceleratingBall( Ball aBall )
    {
        super();
        workerBall = aBall;
    }

    public void move()
    {
        workerBall.move();
        workerBall.adjustSpeedBy( -0.01 );
    }

    public void paint( Graphics g )
    {
        workerBall.paint( g );
    }
}
